
Name: 	    	gcc-%{CROSS_ARCH}
Version:    	3.4.5
Release:    	5mdk

Source:     	gcc-%version.tar.bz2

Patch0:		gcc-%version-libc.diff.bz2
Patch1:		gcc-%version-frv.diff.bz2
Patch2:		gcc-%version-h8300.diff.bz2
Patch3:		gcc-%version-sh.diff.bz2

Summary:    	cross gcc stuff for %{CROSS_ARCH}.
Group:      	Development
License:	GPL
Provides:       %name = %version-%release

Buildroot:	%{_tmppath}/%name-%version-root

%define		arch_name %{CROSS_ARCH}-linux
%define		build_dir gcc-%version-%{arch_name}.build

%define		without_genbin	1

%description
This package provides a gcc for %{CROSS_ARCH} cross compiling.

%prep
%setup -q -n gcc-%version

%patch0 -p1 -b .libc
%patch1 -p1 -b .h8300
%patch2 -p1 -b .frv
%patch3 -p1 -b .sh

%setup -q -c -T -n %build_dir

%build

../gcc-%version/configure			\
	--enable-languages=c			\
	--disable-nls				\
	--disable-shared			\
	--disable-threads			\
	--disable-libmudflap			\
	--disable-werror			\
	--without-headers			\
	--with-newlib				\
	--with-gnu-as				\
	--with-gnu-ld				\
        --prefix=/usr				\
        --mandir=%_mandir			\
        --infodir=%_infodir			\
	--libexecdir=%_libexecdir		\
        --target=%arch_name

#	--with-as=%_bindir/%{arch_name}-as	\
#	--with-ld=%_bindir/%{arch_name}-ld	\

%make

%install
rm -rf $RPM_BUILD_ROOT
%make DESTDIR=$RPM_BUILD_ROOT install

rm -f $RPM_BUILD_ROOT/%_bindir/*gccbug
%if without_genbin
rm -f $RPM_BUILD_ROOT/%_bindir/*-{cpp,gcc,gcov}
%endif
find  $RPM_BUILD_ROOT/%_bindir -type f | xargs strip -s

rm -f $RPM_BUILD_ROOT/%_mandir/man1/*
rm -f $RPM_BUILD_ROOT/%_mandir/man7/*
rm -f $RPM_BUILD_ROOT/%_infodir/*
rm -f $RPM_BUILD_ROOT/%_libdir/libiberty.a

%clean
rm -rf ../gcc-%version
rm -rf ../%build_dir
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/gcc/%arch_name
%{_bindir}/*


%changelog
* Mon Jan 16 2006 Herbert Ptzl <herbert@13thfloor.at> 5mdk
- updated to 3.4.5 and newer rpm

* Sat May 21 2005 Herbert Ptzl <herbert@13thfloor.at> 4mdk
- final version for 3.4.4

* Wed May 18 2005 Herbert Ptzl <herbert@13thfloor.at> 3mdk
- adapted to match binutils

* Sun May 15 2005 Herbert Ptzl <herbert@13thfloor.at> 2mdk
- libc inhibit fixes

* Sat May 14 2005 Herbert Ptzl <herbert@13thfloor.at> 1mdk
- adaptation from 3.3.6

